Subject: Re: bug#39598: 26.3; Emacs is extremely unresponsive on a trivial python file

From: Ivan Oreshnikov <[email-masked]>
Date: Sat, 15 Feb 2020 19:49:37 +0100

> What is/are the real-life use case(s) where such long series of strings
causes slowdown?

This is an intermediate state of python buffer when I am trying to build a
large-ish dictionary with lists of strings as a value. The most recent time
this happened to me is when I was writing a django migration that would
organize a list of entities into groups. I did a query to the database,
copied the column of string ids, added a double quote to the beginning and
to the end and when I tried to group and rearrange the lines together
before I wrap them into lists, but emacs became unresponsive.

What I find a bit weird is that it only happens to a long series of bare
strings. If I construct an equally long proper python list of strings I
don't see this behavior.